package com.cf.imes.module.system.validation.advertisement;


import jakarta.validation.Constraint;
import jakarta.validation.Payload;
import java.lang.annotation.*;

/**
 * 广告状态校验注解
 *
 * @author 晨丰科技
 */
@Target({
        ElementType.FIELD,
})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(
        validatedBy = {AdvertisementStatusValidator.class}
)
public @interface AdvertisementStatus {
    String message() default "{ad.status.invalid}";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};

}
